#ifndef _PAD_H_
#define _PAD_H_

#define PAD_MODE_MENU	0x00
#define PAD_MODE_GAME	0x01

#define GB_PAD_A		0x0001
#define GB_PAD_B		0x0002
#define GB_PAD_SELECT	0x0004
#define GB_PAD_START	0x0008
#define GB_PAD_DOWN		0x0010
#define GB_PAD_UP		0x0020
#define GB_PAD_LEFT		0x0040
#define GB_PAD_RIGHT	0x0080
#define GB_MENU			0x0100
#define GB_CHANGE_SIZE	0x0200


#include <gccore.h>
#include <ogcsys.h>

void pad_init(void);
void pad_deinit(void);
void pad_set_mode(u8 mode);
void pad_position(int *x, int *y, float *roll);
u16 pad_menu_buttons(void);
u16 pad_game_buttons(void);

#endif
